DomainPair

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.domains.java
Class DomainPair

    java.lang.Object
      org.openswing.swing.domains.java.DomainPair

All Implemented Interfaces:
  java.io.Serializable

public class DomainPair
extends java.lang.Object
implements java.io.Serializable

Title: OpenSwing Framework

Description: Class that represents a couple (code,description) included in a domain.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

See Also:
  Serialized Form

Constructor Summary
`DomainPair(java.lang.Object code, java.lang.String description)` Constructor.

Method Summary
`java.lang.Object` | `getCode()`
`java.lang.String` | `getDescription()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DomainPair

    public DomainPair(java.lang.Object code,
                      java.lang.String description)

  Constructor.

Parameters:
  `code` - code
  `description` - description related to the code

Method Detail

### getCode

    public final java.lang.Object getCode()

  Returns:
    code

### getDescription

    public final java.lang.String getDescription()

  Returns:
    description related to the code

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD